AbstractCharArrayType (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.type
Class AbstractCharArrayType

    java.lang.Object
      org.hibernate.type.AbstractType
          org.hibernate.type.NullableType
              org.hibernate.type.MutableType
                  org.hibernate.type.AbstractCharArrayType

All Implemented Interfaces:
  Serializable, StringRepresentableType, Type, XmlRepresentableType

Deprecated. Use the `AbstractStandardBasicType` approach instead

    public abstract class AbstractCharArrayType

extends MutableType

Logic to bind stream of char into a VARCHAR

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hibernate.type.AbstractType
`LEGACY_DEFAULT_SIZE, LEGACY_DICTATED_SIZE`

Constructor Summary
`AbstractCharArrayType()` Deprecated.

Method Summary
`protected Object` | `deepCopyNotNull(Object value)` Deprecated.
`Object` | `fromStringValue(String xml)` Deprecated. Consume the given string representation back into this types java form.
`Object` | `get(ResultSet rs, String name)` Deprecated. Get a column value from a result set, without worrying about the possibility of null values.
`abstract Class` | `getReturnedClass()` Deprecated. The class returned by `Type.nullSafeGet(java.sql.ResultSet, java.lang.String[], org.hibernate.engine.spi.SessionImplementor, java.lang.Object)` methods.
`String` | `objectToSQLString(Object value, Dialect dialect)` Deprecated.
`void` | `set(PreparedStatement st, Object value, int index)` Deprecated. Set a parameter value without worrying about the possibility of null values.
`int` | `sqlType()` Deprecated. A convenience form of `NullableType.sqlTypes(org.hibernate.engine.spi.Mapping)`, returning just a single type value since these are explicitly dealing with single column mappings.
`Object` | `stringToObject(String xml)` Deprecated.
`protected abstract Object` | `toExternalFormat(char[] chars)` Deprecated. Convert the char[] into the expected object type
`protected abstract char[]` | `toInternalFormat(Object chars)` Deprecated. Convert the object into the internal char[] representation
`String` | `toString(Object value)` Deprecated. Render the value to the string representation.

Methods inherited from class org.hibernate.type.MutableType
`deepCopy, isMutable, replace`

Methods inherited from class org.hibernate.type.NullableType
`defaultSize, defaultSizes, dictatedSize, dictatedSizes, fromXMLNode, fromXMLString, getColumnSpan, isDirty, isEqual, nullSafeGet, nullSafeGet, nullSafeGet, nullSafeGet, nullSafeSet, nullSafeSet, nullSafeSet, nullSafeToString, setToXMLNode, sqlTypes, toColumnNullness, toLoggableString, toXMLString`

Methods inherited from class org.hibernate.type.AbstractType
`assemble, beforeAssemble, compare, disassemble, getHashCode, getHashCode, getSemiResolvedType, hydrate, isAnyType, isAssociationType, isCollectionType, isComponentType, isDirty, isEntityType, isEqual, isModified, isSame, isXMLElement, replace, replaceNode, resolve, semiResolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.type.Type
`getName`

Constructor Detail

### AbstractCharArrayType

    public AbstractCharArrayType()

  Deprecated.

Method Detail

### toExternalFormat

    protected abstract Object toExternalFormat(char[] chars)

  Deprecated.
  Convert the char[] into the expected object type

### toInternalFormat

    protected abstract char[] toInternalFormat(Object chars)

  Deprecated.
  Convert the object into the internal char[] representation

### get

    public Object get(ResultSet rs,
                      String name)
               throws SQLException

  Deprecated.
  Description copied from class: `NullableType`
  Get a column value from a result set, without worrying about the possibility of null values. Called from `NullableType.nullSafeGet(java.sql.ResultSet, java.lang.String[], org.hibernate.engine.spi.SessionImplementor, java.lang.Object)` after nullness checks have been performed.

  Specified by:
    `get` in class `NullableType`
  Parameters:
    `rs` - The result set from which to extract the value.
    `name` - The name of the value to extract.
  Returns:
    The extracted value.
  Throws:
    `SQLException` - Indicates problem making the JDBC call(s).

### getReturnedClass

    public abstract Class getReturnedClass()

  Deprecated.
  Description copied from interface: `Type`
  The class returned by `Type.nullSafeGet(java.sql.ResultSet, java.lang.String[], org.hibernate.engine.spi.SessionImplementor, java.lang.Object)` methods. This is used to establish the class of an array of this type.

  Returns:
    The java type class handled by this type.

### set

    public void set(PreparedStatement st,
                    Object value,
                    int index)
             throws SQLException

  Deprecated.
  Description copied from class: `NullableType`
  Set a parameter value without worrying about the possibility of null values. Called from `NullableType.nullSafeSet(java.sql.PreparedStatement, java.lang.Object, int, boolean[], org.hibernate.engine.spi.SessionImplementor)` after nullness checks have been performed.

  Specified by:
    `set` in class `NullableType`
  Parameters:
    `st` - The statement into which to bind the parameter value.
    `value` - The parameter value to bind.
    `index` - The position or index at which to bind the param value.
  Throws:
    `SQLException` - Indicates problem making the JDBC call(s).

### sqlType

    public int sqlType()

  Deprecated.
  Description copied from class: `NullableType`
  A convenience form of `NullableType.sqlTypes(org.hibernate.engine.spi.Mapping)`, returning just a single type value since these are explicitly dealing with single column mappings.

  Specified by:
    `sqlType` in class `NullableType`
  Returns:
    The `Types` mapping value.

### objectToSQLString

    public String objectToSQLString(Object value,
                                    Dialect dialect)
                             throws Exception

  Deprecated.
  Throws:
    `Exception`

### stringToObject

    public Object stringToObject(String xml)
                          throws Exception

  Deprecated.
  Throws:
    `Exception`

### toString

    public String toString(Object value)

  Deprecated.
  Description copied from interface: `StringRepresentableType`
  Render the value to the string representation.

  Specified by:
    `toString` in interface `StringRepresentableType`
  Specified by:
    `toString` in class `NullableType`
  Parameters:
    `value` - The value to render to string.
  Returns:
    The string representation

### fromStringValue

    public Object fromStringValue(String xml)

  Deprecated.
  Description copied from interface: `StringRepresentableType`
  Consume the given string representation back into this types java form.

  Specified by:
    `fromStringValue` in interface `StringRepresentableType`
  Specified by:
    `fromStringValue` in class `NullableType`
  Parameters:
    `xml` - The string representation to be consumed.
  Returns:
    The java type representation

### deepCopyNotNull

    protected Object deepCopyNotNull(Object value)
                              throws HibernateException

  Deprecated.
  Specified by:
    `deepCopyNotNull` in class `MutableType`
  Throws:
    `HibernateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.